<?php 


//EXCERPT

function custom_excerpt_length( $length ) {
  return 40;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );

function new_excerpt_more( $more ) {
  return '...';
}
add_filter('excerpt_more', 'new_excerpt_more');

function krakatau_lite_excerpt(){
 global $post;
  ?> <div class="akmanda-excerpt"> <?php
  the_excerpt(); 
  ?><div class="more-button">
  <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="more"><?php esc_html_e( 'Continue', 'krakatau-lite' ); ?></a></div>
  </div><?php
}

//POST TITLE

function krakatau_lite_post_title(){ 
?>

          <div class="post-title">
            <h2>
                <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a>

            </h2>
           
         </div><!-- post-title --> 

<?php }

//POST THUMBNAIL

function loop_post_thumbnail(){

if ( has_post_thumbnail()) { ?>
    <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" >   <div class="post-thumb">
      <?php the_post_thumbnail(); ?>
      </div><!-- post thumb -->
  </a>
  <?php }  ?>
<?php } 

function loop_post_thumbnail_frame(){

if ( has_post_thumbnail()) { ?>
    <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" >   <div class="post-thumb">
      <?php the_post_thumbnail(); ?>
      </div><!-- post thumb -->
  </a>
  <?php } else { ?>
    <div class="no-post-thumb"></div> <?php
    } ?>
<?php } 

//CONTENT

function krakatau_lite_content() {
  global $post;

    if (is_singular() && $post->post_content !== '') { ?>
          <div class="inner-content clearfix">
          <?php the_content();
          wp_link_pages(); ?>
          </div>
       <?php } if (!is_singular()) { 
            krakatau_lite_excerpt();
          } 
}

//COMMENT


function krakatau_lite_comment_checker() {
  global $post;

  if ( is_singular() ) wp_enqueue_script( "comment-reply" ); 
  if ( comments_open() || '0' != get_comments_number() ) comments_template(); 
}
